/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

:host {
  display: inline-block;
  width: 4em;
}

.stepper-control {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.stepper-control-input {
  text-align: center;
}

.stepper-control-button-icon-up::before {
  border-style: solid;
  border-width: .29em .29em 0 0;
  content: '';
  display: inline-block;
  height: .69em;
  left: .05em;
  position: relative;
  top: .15em;
  transform: rotate(-45deg);
  vertical-align: middle;
  width: .69em;
}

.stepper-control-button-icon-down::before {
  top: -0.3em;
  transform: rotate(135deg);
}
